%define svnrev 14329

%def_enable compat

%def_enable gpl

%def_enable xvmc
%def_enable a52
%def_disable a52bin
%def_enable xvid
%def_enable libtheora
%def_enable faad
%def_disable faadbin
%def_enable x264
%def_enable postproc
%def_enable lame
%def_enable libnut
%def_enable vorbis
%def_enable faac
%def_enable gsm
%def_enable x11grab
%def_enable dc1394
%def_enable swscale
%def_enable avfilter
%def_enable avfilter_lavf
%def_enable amr
%def_disable amr_nb
%def_enable amr_nb_bin
%def_disable amr_wb
%def_enable amr_wb_bin
%def_enable dirac
%def_enable shared
%def_enable static
%def_enable pthreads
%def_enable network
%def_disable ipv6
%def_enable zlib
%def_enable vhook
%def_disable mpegaudio_hp
%def_disable avisynth
%def_enable mmx
%def_disable armv5te
%def_disable armv6
%def_disable iwmmxt
%def_disable memalign_hack
%def_enable ffmpeg
%def_enable ffserver
%def_enable ffplay

%def_disable gprof
%def_disable debug
%def_disable rpath
%def_disable extra_warnings

#------------------------------------------------------------------------
%define set_disable() %{expand:%%force_disable %{1}} %{expand:%%undefine _enable_%{1}}
%define set_enable() %{expand:%%force_enable %{1}} %{expand:%%undefine _disable_%{1}}
%define subst_enable_to() %{expand:%%{?_enable_%{1}:--enable-%{2}}} %{expand:%%{?_disable_%{1}:--disable-%{2}}}
%define subst_enable_lib() %{expand:%%{subst_enable_to %{1} lib%{1}}}
%define subst_enable_parser() %{expand:%%{subst_enable_to %{1} parser=%{1}}}

%if_disabled gpl
%set_disable a52bin
%set_disable a52
%set_disable faad
%set_disable faadbin
%set_disable xvid
%set_disable x264
%set_disable postproc
%endif

%if_disabled arm
%set_disable amr_nb
%set_disable amr_nb_bin
%set_disable amr_wb
%set_disable amr_wb_bin
%endif

%{?_enable_amr_nb:%set_disable amr_nb_bin}
%{?_enable_amr_wb:%set_disable amr_wb_bin}

# normal or strict
%define libdep normal

%define Name FFmpeg
Name: ffmpeg
%define lname lib%name
Serial: 1
Version: 0.5.0
%define nrel 1
Release: alt%{?svnrev:0.%svnrev.}%nrel
Summary: Hyper fast MPEG1/MPEG4/H263/RV and AC3/MPEG audio encoder
Summary(ru_RU.CP1251):  / MPEG1/MPEG4/H263/RV  AC3/MPEG
Summary(uk_UA.CP1251):  / MPEG1/MPEG4/H263/RV  AC3/MPEG
Group: Video
%if_enabled gpl
License: %gpl2plus
%else
License: %lgpl2plus
%endif
URL: http://%name.sourceforge.net
# svn checkout svn.mplayerhq.hu/ffmpeg/trunk
%ifdef svnrev
Source0: %name-svn-r%svnrev.tar
%else
Source0: http://prdownloads.sourceforge.net/%name/%name-%version.tar
%endif
Patch0: %name-svn-r13104-alt-include.patch
# Debian: patent issues
Patch1: %name-20050313-deb-legal.patch
# ALT: hide configure options banner
Patch2: %name-svn-r10644-alt-nobanner.patch
Patch3: %name-svn-r11508-headers.patch
Patch4: %name-svn-r12810-img_convert.patch
# XVMC patch
#Patch6: %name-uni-svn-r10644.patch
Patch6: %name-svn-r12807-xvmc-vld.patch
# AMR patch
Patch7: %name-svn-r13104-amr.patch
Patch8: %name-svn-r11627-amr-configure.patch
# ALT: build fix patch
Patch9: %name-svn-r13168-configure.patch
%if %libdep == strict
Requires: libavutil = %{?serial:%serial:}%version-%release
Requires: libavcodec = %{?serial:%serial:}%version-%release
Requires: libavformat = %{?serial:%serial:}%version-%release
%{?_enable_swscale:Requires: libswscale = %{?serial:%serial:}%version-%release}
%endif

%{?_enable_a52bin:Requires: liba52}
%{?_enable_faadbin:Requires: libfaad}

BuildRequires: tetex-core rpm-build-licenses

%{?_enable_ffplay:BuildRequires: libSDL-devel libXext-devel libX11-devel esound}
%{?_enable_vhook:BuildRequires: libSDL-devel libXext-devel imlib2-devel libfreetype-devel}
%{?_enable_a52:BuildRequires: liba52-devel}
%{?_enable_a52bin:BuildRequires: liba52-devel}
%{?_enable_amr_nb:BuildRequires: libamrnb-devel}
%{?_enable_amr_wb:BuildRequires: libamrwb-devel}
%{?_enable_lame:BuildRequires: liblame-devel}
%{?_enable_libnut:BuildRequires: libnut-devel >= 0.0-alt0.282}
%{?_enable_vorbis:BuildRequires: libvorbis-devel}
%{?_enable_faad:BuildRequires: libfaad-devel}
%{?_enable_faadbin:BuildRequires: libfaad-devel}
%{?_enable_faac:BuildRequires: libfaac-devel}
%{?_enable_gsm:BuildRequires: libgsm-devel}
%{?_enable_xvid:BuildRequires: xvid-devel}
%{?_enable_libtheora:BuildRequires: libtheora-devel}
%{?_enable_x264:BuildRequires: libx264-devel >= 0.0-alt53}
%{?_enable_x11grab:BuildRequires: libX11-devel libXext-devel}
%{?_enable_dc1394:BuildRequires: libdc1394-devel libraw1394-devel}
%{?_enable_dirac:BuildRequires: libdirac-devel > 0.9.1 libstdc++-devel}
%{?_enable_xvmc:BuildRequires: libXvMC-devel}

%description
%name is a hyper fast realtime audio/video encoder, a streaming
server and a generic audio and video file converter. 

It can grab from a standard Video4Linux video source and convert it
into several file formats based on DCT/motion compensation encoding.
Sound is compressed in MPEG audio layer 2 or using an AC3 compatible
stream.

%description -l ru_RU.CP1251
%name --  "" /   , 
    ,      
    .

%name      Video4Linux  
        
  DCT/motion.      
 MPEG audio layer 2  ,   AC3.


%if_enabled shared
%package -n %lname
Summary: Shared libraries to run ffmpeg
Group: System/Libraries
Requires: libavcodec = %{?serial:%serial:}%version-%release
Requires: libavformat = %{?serial:%serial:}%version-%release
Requires: libavutil = %{?serial:%serial:}%version-%release
Requires: libavdevice = %{?serial:%serial:}%version-%release
%{?_enable_avfilter:Requires: libavfilter = %{?serial:%serial:}%version-%release}
%{?_enable_postproc:Requires: libpostproc = %{?serial:%serial:}%version-%release}
%{?_enable_swscale:Requires: libswscale = %{?serial:%serial:}%version-%release}

%description -n %lname
This package contains the shared libraries required for ffmpeg.

%description -n %lname -l ru_RU.CP1251
      ffmpeg.
%endif


%if_enabled vhook
%package -n %name-vhook
Summary: The video hook functionality for %Name
Group: System/Libraries
Requires: %name = %{?serial:%serial:}%version-%release

%description -n %name-vhook
The %Name video hook functionality is designed (mostly) for live
video. It allows the video to be modified or examined between the
decoder and the encoder.
%endif


%package -n %lname-devel
Summary: Development files for ffmpeg
Group: Development/C
Provides: %name-devel = %{?serial:%serial:}%version-%release
Obsoletes: %name-devel
Requires: libavutil-devel = %{?serial:%serial:}%version-%release
Requires: libavcodec-devel = %{?serial:%serial:}%version-%release
Requires: libavformat-devel = %{?serial:%serial:}%version-%release
Requires: libavdevice-devel = %{?serial:%serial:}%version-%release
%{?_enable_avfilter:Requires: libavfilter-devel = %{?serial:%serial:}%version-%release}
%{?_enable_postproc:Requires: libpostproc-devel = %{?serial:%serial:}%version-%release}
%{?_enable_swscale:Requires: libswscale-devel = %{?serial:%serial:}%version-%release}

%description -n %lname-devel
This package includes the development libraries, header files and
documentation necessary for developing programs which will use ffmpeg.

%description -l ru_RU.CP1251 -n %lname-devel
          
 ffmpeg --   ,    
.


%if_enabled static
%package -n %lname-devel-static
Summary: %Name static libraries
Group: Development/C
Requires: libavcodec-devel-static = %{?serial:%serial:}%version-%release
Requires: libavformat-devel-static = %{?serial:%serial:}%version-%release
Requires: libavutil-devel-static = %{?serial:%serial:}%version-%release
Requires: libavdevice-devel-static = %{?serial:%serial:}%version-%release
%{?_enable_avfilter:Requires: libavfilter-devel-static = %{?serial:%serial:}%version-%release}
%{?_enable_postproc:Requires: libpostproc-devel-static = %{?serial:%serial:}%version-%release}
%{?_enable_swscale:Requires: libswscale-devel-static = %{?serial:%serial:}%version-%release}

%description -n %lname-devel-static
This package contains the %Name static libraries.

%description -l ru_RU.CP1251 -n %lname-devel-static
     %Name.
%endif


%if_enabled shared
%package -n libavutil
Summary: FFMpeg utility library
Group: System/Libraries

%description -n libavutil
This package contains libavutil, the FFMpeg project utility library.
%endif


%package -n libavutil-devel
Summary: Development files for libavutil
Group: Development/C
Requires: libavutil%{?_disable_shared:-devel-static} = %{?serial:%serial:}%version-%release

%description -n libavutil-devel
This package contains development files for libavutil.



%if_enabled shared
%package -n libavcodec
Summary: FFMpeg codec library
Group: System/Libraries
%{?_enable_dirac:Requires: libdirac > 0.8}

%description -n libavcodec
This package contains libavcodec, the FFMpeg project codec library.
%endif


%package -n libavcodec-devel
Summary: Development files for libavcodec
Group: Development/C
Requires: libavutil-devel = %{?serial:%serial:}%version-%release
Requires: libavcodec%{?_disable_shared:-devel-static} = %{?serial:%serial:}%version-%release

%description -n libavcodec-devel
This package contains development files for libavcodec.


%if_enabled shared
%package -n libavformat
Summary: FFMpeg container format library
Group: System/Libraries

%description -n libavformat
This package contains libavformat, the FFMpeg project container format
library.
%endif


%package -n libavformat-devel
Summary: Development files for libavdevice
Group: Development/C
Requires: libavutil-devel = %{?serial:%serial:}%version-%release
Requires: libavcodec-devel = %{?serial:%serial:}%version-%release
Requires: libavformat%{?_disable_shared:-devel-static} = %{?serial:%serial:}%version-%release

%description -n libavformat-devel
This package contains development files for libavformat.


%if_enabled shared
%package -n libavdevice
Summary: FFMpeg device handling library
Group: System/Libraries

%description -n libavdevice
This package contains libavdevice, the FFMpeg project device handling
library.
%endif


%package -n libavdevice-devel
Summary: Development files for libavdevice
Group: Development/C
Requires: libavutil-devel = %{?serial:%serial:}%version-%release
Requires: libavformat-devel = %{?serial:%serial:}%version-%release
Requires: libavdevice%{?_disable_shared:-devel-static} = %{?serial:%serial:}%version-%release

%description -n libavdevice-devel
This package contains development files for libavdevice.


%if_enabled postproc
%if_enabled shared
%package -n libpostproc
Summary: FFMpeg video postprocessing library
Group: System/Libraries

%description -n libpostproc
This package contains libpostproc, the FFMpeg project video
postprocessing library.
%endif


%package -n libpostproc-devel
Summary: Development files for libpostproc
Group: Development/C
Requires: libavutil-devel = %{?serial:%serial:}%version-%release
Requires: libpostproc%{?_disable_shared:-devel-static} = %{?serial:%serial:}%version-%release

%description -n libpostproc-devel
This package contains development files for libpostproc.
%endif


%if_enabled swscale
%if_enabled shared
%package -n libswscale
Summary: FFMpeg image rescaling library
Group: System/Libraries

%description -n libswscale
This package contains libswscale, the FFMpeg project image rescaling
library.
%endif


%package -n libswscale-devel
Summary: Development files for libswscale
Group: Development/C
Requires: libavutil-devel = %{?serial:%serial:}%version-%release
Requires: libswscale%{?_disable_shared:-devel-static} = %{?serial:%serial:}%version-%release

%description -n libswscale-devel
This package contains development files for libswscale.
%endif


%if_enabled avfilter
%if_enabled shared
%package -n libavfilter
Summary: FFMpeg filter layer library
Group: System/Libraries

%description -n libavfilter
This package contains libavfilter, the FFMpeg project filter layer
library.
%endif


%package -n libavfilter-devel
Summary: Development files for libavfilter
Group: Development/C
Requires: libavcodec-devel = %{?serial:%serial:}%version-%release
Requires: libavfilter%{?_disable_shared:-devel-static} = %{?serial:%serial:}%version-%release

%description -n libavfilter-devel
This package contains development files for libavfilter.
%endif


%if_enabled static
%package -n libavutil-devel-static
Summary: Static development files for libavutil
Group: Development/C
Requires: libavutil-devel = %{?serial:%serial:}%version-%release

%description -n libavutil-devel-static
This package contains static development files for libavutil.


%package -n libavcodec-devel-static
Summary: Static development files for libavcodec
Group: Development/C
Requires: libavcodec-devel = %{?serial:%serial:}%version-%release

%description -n libavcodec-devel-static
This package contains static development files for libavcodec.


%package -n libavformat-devel-static
Summary: Static development files for libavformat
Group: Development/C
Requires: libavformat-devel = %{?serial:%serial:}%version-%release

%description -n libavformat-devel-static
This package contains static development files for libavformat.


%package -n libavdevice-devel-static
Summary: Static development files for libavdevice
Group: Development/C
Requires: libavdevice-devel = %{?serial:%serial:}%version-%release

%description -n libavdevice-devel-static
This package contains static development files for libavdevice.


%if_enabled postproc
%package -n libpostproc-devel-static
Summary: Static development files for libpostproc
Group: Development/C
Requires: libpostproc-devel = %{?serial:%serial:}%version-%release

%description -n libpostproc-devel-static
This package contains static development files for libpostproc.
%endif


%if_enabled swscale
%package -n libswscale-devel-static
Summary: Static development files for libswscale
Group: Development/C
Requires: libswscale-devel = %{?serial:%serial:}%version-%release

%description -n libswscale-devel-static
This package contains static development files for libswscale.
%endif


%if_enabled avfilter
%package -n libavfilter-devel-static
Summary: Static development files for libavfilter
Group: Development/C
Requires: libavfilter-devel = %{?serial:%serial:}%version-%release

%description -n libavfilter-devel-static
This package contains static development files for libavfilter.
%endif
%endif


%if_enabled avfilter
%endif


%if_enabled ffserver
%package -n ffserver
Summary: A streaming server for both audio and video
Group: Video
%if %libdep == strict
Requires: libavutil = %{?serial:%serial:}%version-%release
Requires: libavcodec = %{?serial:%serial:}%version-%release
Requires: libavformat = %{?serial:%serial:}%version-%release
%endif

%description -n ffserver
FFserver is a streaming server for both audio and video. It supports
several live feeds, streaming from files and time shifting on live
feeds.
%endif


%if_enabled ffplay
%package -n ffplay
Summary: A very simple media player using the %Name and SDL libraries
Group: Video
Requires: libavutil = %{?serial:%serial:}%version-%release
Requires: libavcodec = %{?serial:%serial:}%version-%release
Requires: libavformat = %{?serial:%serial:}%version-%release
%{?_enable_swscale:Requires: libswscale = %{?serial:%serial:}%version-%release}


%description -n ffplay
FFplay is a very simple and portable media player using the %Name
libraries and the SDL library. It is mostly used as a testbed for the
various %Name APIs
%endif


%prep
%setup -q%{?svnrev: -n %name-svn-r%svnrev}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%{?svnrev:subst 's/UNKNOWN/%svnrev/' version.sh}
find . -name Makefile -print0 | xargs -r0 subst '/ldconfig/d' --
subst 's,\-lImlib2,`imlib2-config --libs`,' configure
subst 's/faacDec/NeAACDec/g' configure
%{?_disable_rpath:#subst "s/ '-Wl,-rpath-link,.*'//g" configure}


%build
%define _optlevel 3
%add_optflags %optflags_shared %optflags_notraceback %optflags_fastmath -finline-functions -frename-registers
%ifarch x86_64
%add_optflags -mtune=k8 -DARCH_X86_64
%else
%ifarch %ix86
%add_optflags -DARCH_X86_32 %{?_enable_mmx:-DRUNTIME_CPUDETECT}
%endif
%endif
export CFLAGS="%optflags"
./configure \
%ifarch x86_64
    --arch=x86_64 \
%else
%ifarch %ix86
    --arch=x86 \
%endif
%endif
%ifarch x86_64
    --cpu=x86-64 \
%else
    --cpu=%_target_cpu \
%endif
    --prefix=%_prefix \
    --libdir=%_libdir \
    --shlibdir=%_libdir \
    --mandir=%_mandir \
    %{subst_enable gpl} \
    %{subst_enable postproc} \
    %{subst_enable pthreads} \
    %{subst_enable shared} \
    %{subst_enable static} \
    %{subst_enable xvmc} \
    %{subst_enable_lib vorbis} \
    %{subst_enable_lib a52} \
    %{subst_enable_lib a52bin} \
    %{subst_enable_lib faad} \
    %{subst_enable_lib faadbin} \
    %{subst_enable_lib faac} \
    %{subst_enable_lib xvid} \
    %{subst_enable libtheora} \
    %{subst_enable_lib x264} \
    %{subst_enable_to lame libmp3lame} \
    %{subst_enable libnut} \
    %{subst_enable_lib gsm} \
    %{subst_enable x11grab} \
    %{subst_enable_lib dc1394} \
    %{subst_enable swscale} \
    %{subst_enable avfilter} \
    %{subst_enable_to avfilter_lavf avfilter-lavf} \
    %{subst_enable avisynth} \
    %{subst_enable_to amr_nb libamr-nb} \
    %{subst_enable_to amr_nb_bin libamrnbbin} \
    %{subst_enable_to amr_wb libamr-wb} \
    %{subst_enable_to amr_wb_bin libamrwbbin} \
    %{subst_enable_lib dirac} \
    %{subst_enable_parser dirac} \
    %{subst_enable network} \
    %{subst_enable ipv6} \
    %{subst_enable zlib} \
    %{subst_enable vhook} \
    %{subst_enable_to mpegaudio_hp mpegaudio-hp} \
    %{subst_enable mmx} \
    %{subst_enable armv5te} \
    %{subst_enable armv6} \
    %{subst_enable iwmmxt} \
    %{subst_enable_to memalign_hack memalign-hack} \
    %{subst_enable ffmpeg} \
    %{subst_enable ffserver} \
    %{subst_enable ffplay} \
    %{subst_enable gprof} \
    %{subst_enable debug} \
    %{subst_enable_to extra_warnings extra-warnings} \
    --enable-logging

%make_build

for l in codec device filter; do
    subst '/Libs:/ s/ -lnut//g' libav$l/libav$l.pc
done


%install
%make_install DESTDIR=%buildroot install
%ifarch %ix86 x86_64 k8 nocona
install -m 0644 libavutil/x86_cpu.h %buildroot%_includedir/libavutil/
%endif
%{?_enable_ffserver:install -pD -m640 doc/ffserver.conf %buildroot%_sysconfdir/ffserver.conf}
%if_enabled compat
install -d -m 0755 %buildroot%_includedir/%name
for l in codec format util; do
    for f in %buildroot%_includedir/libav$l/*; do
	ln -sf ../libav$l/$(basename "$f") %buildroot%_includedir/%name/
    done
done
%if_enabled postproc
install -d -m 0755 %buildroot%_includedir/postproc
for f in %buildroot%_includedir/libpostproc/*; do
    ln -sf ../libpostproc/$(basename "$f") %buildroot%_includedir/postproc/
    ln -sf ../libpostproc/$(basename "$f") %buildroot%_includedir/%name/
done
%endif
%if_enabled swscale
for f in %buildroot%_includedir/libswscale/*; do
    ln -sf ../libswscale/$(basename "$f") %buildroot%_includedir/%name/
done
%endif
%endif
bzip2 --best --force --keep Changelog
%set_verify_elf_method textrel=relaxed


%if_enabled shared
%post -n libavutil -p %post_ldconfig
%postun -n libavutil -p %postun_ldconfig

%post -n libavcodec -p %post_ldconfig
%postun -n libavcodec -p %postun_ldconfig

%post -n libavformat -p %post_ldconfig
%postun -n libavformat -p %postun_ldconfig

%if_enabled postproc
%post -n libpostproc -p %post_ldconfig
%postun -n libpostproc -p %postun_ldconfig
%endif

%if_enabled swscale
%post -n libswscale -p %post_ldconfig
%postun -n libswscale -p %postun_ldconfig
%endif
%endif


%if_enabled ffmpeg
%files
%doc doc/faq.html doc/%name-doc.html
%doc doc/TODO doc/README.ALT doc/optimization.txt doc/patents.txt
%doc MAINTAINERS CREDITS Changelog.*
%_bindir/%name
%_man1dir/%name.*
%dir %_libdir/vhook
%endif


%if_enabled shared
%files -n %lname


%files -n libavutil
%_libdir/libavutil.so.*


%files -n libavcodec
%_libdir/libavcodec.so.*


%files -n libavformat
%_libdir/libavformat.so.*


%files -n libavdevice
%_libdir/libavdevice.so.*


%if_enabled postproc
%files -n libpostproc
%_libdir/libpostproc.so.*
%endif


%if_enabled swscale
%files -n libswscale
%_libdir/libswscale.so.*
%endif


%if_enabled avfilter
%files -n libavfilter
%_libdir/libavfilter.so.*
%endif
%endif


%if_enabled vhook
%files -n %name-vhook
%doc doc/hooks.html
%_libdir/vhook/*.so
%endif


%files -n %lname-devel


%files -n libavutil-devel
%{?_enable_shared:%_libdir/libavutil.so}
%_includedir/libavutil
%_pkgconfigdir/libavutil.pc
%if_enabled compat
%dir %_includedir/%name
%_includedir/%name/adler32.h
%_includedir/%name/avstring.h
%_includedir/%name/avutil.h
%_includedir/%name/base64.h
%_includedir/%name/bswap.h
%_includedir/%name/crc.h
%_includedir/%name/common.h
%_includedir/%name/fifo.h
%_includedir/%name/intfloat_readwrite.h
%_includedir/%name/intreadwrite.h
%_includedir/%name/log.h
%_includedir/%name/lzo.h
%_includedir/%name/mathematics.h
%_includedir/%name/md5.h
%_includedir/%name/mem.h
%_includedir/%name/random.h
%_includedir/%name/rational.h
%_includedir/%name/sha1.h
%_includedir/%name/x86_cpu.h
%endif


%files -n libavcodec-devel
%{?_enable_shared:%_libdir/libavcodec.so}
%_includedir/libavcodec
%_pkgconfigdir/libavcodec.pc
%if_enabled compat
%dir %_includedir/%name
%_includedir/%name/avcodec.h
%_includedir/%name/dsputil.h
%_includedir/%name/eval.h
%_includedir/%name/opt.h
%endif


%files -n libavformat-devel
%{?_enable_shared:%_libdir/libavformat.so}
%_includedir/libavformat
%_pkgconfigdir/libavformat.pc
%if_enabled compat
%dir %_includedir/%name
%_includedir/%name/avformat.h
%_includedir/%name/avio.h
%_includedir/%name/riff.h
%_includedir/%name/rtsp.h
%_includedir/%name/rtspcodes.h
%endif


%files -n libavdevice-devel
%{?_enable_shared:%_libdir/libavdevice.so}
%_includedir/libavdevice
%_pkgconfigdir/libavdevice.pc


%if_enabled postproc
%files -n libpostproc-devel
%{?_enable_shared:%_libdir/libpostproc.so}
%_includedir/libpostproc
%_pkgconfigdir/libpostproc.pc
%if_enabled compat
%_includedir/postproc
%_includedir/%name/postprocess.h
%endif
%endif


%if_enabled swscale
%files -n libswscale-devel
%{?_enable_shared:%_libdir/libswscale.so}
%_includedir/libswscale
%_pkgconfigdir/libswscale.pc
%if_enabled compat
%dir %_includedir/%name
%_includedir/%name/rgb2rgb.h
%_includedir/%name/swscale.h
%endif
%endif


%if_enabled avfilter
%files -n libavfilter-devel
%{?_enable_shared:%_libdir/libavfilter.so}
%_includedir/libavfilter
%_pkgconfigdir/libavfilter.pc
%endif


%if_enabled static
%files -n %lname-devel-static


%files -n libavutil-devel-static
%_libdir/libavutil.a


%files -n libavcodec-devel-static
%_libdir/libavcodec.a


%files -n libavformat-devel-static
%_libdir/libavformat.a


%files -n libavdevice-devel-static
%_libdir/libavdevice.a


%if_enabled postproc
%files -n libpostproc-devel-static
%_libdir/libpostproc.a
%endif


%if_enabled swscale
%files -n libswscale-devel-static
%_libdir/libswscale.a
%endif


%if_enabled avfilter
%files -n libavfilter-devel-static
%_libdir/libavfilter.a
%endif
%endif


%if_enabled ffserver
%files -n ffserver
%doc doc/ffserver-doc.html
%config(noreplace) %_sysconfdir/*
%_bindir/ffserver
%_man1dir/ffserver.*
%endif


%if_enabled ffplay
%files -n ffplay
%doc doc/ffplay-doc.html
%_bindir/ffplay
%_man1dir/ffplay.*
%endif


%changelog
* Tue Jul 22 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.14329.1
- new SVN snapshot (revision 14329)

* Mon Jul 21 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.14318.1
- new SVN snapshot (revision 14318):
  + MLP/TrueHD decoder
  + Electronic Arts CMV decoder
  + Motion Pixels Video decoder
  + Motion Pixels MVI demuxer
  + removed animated GIF decoder/demuxer

* Wed Jun 18 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.13801.1
- new SVN snapshot (revision 13801):
  + OMA demuxer

* Wed Jun 04 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.13656.1
- new SVN snapshot (revision 13656)

* Tue May 27 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.13471.1
- new SVN snapshot (revision 13471)

* Thu May 15 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.13168.1
- new SVN snapshot (revision 13168)
- updated %name-svn-r13168-configure.patch

* Wed May 14 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.13150.1
- new SVN snapshot (revision 13150)

* Fri May 09 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.13104.1
- new SVN snapshot (revision 13104)
- removed:
  + %name-svn-r12828-riff.patch (fixed in upstream)
  + %name-svn-r12255-dirac-configure.patch (added in upstream)
  + %name-svn-r12807-dirac-0.9.x.patch (added in upstream)
- updated:
  + %name-svn-r13104-alt-include.patch (partially fixed in upstream)
  + %name-svn-r13104-amr.patch
  + %name-svn-r13104-configure.patch

* Sat Apr 19 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.12910.1
- new SVN snapshot (revision 12910):
  + BFI video decoder

* Wed Apr 16 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.12840.1
- new SVN snapshot (revision 12840)

* Tue Apr 15 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.12828.1
- new SVN snapshot (revision 12828)
- added %name-svn-r12828-riff.patch

* Tue Apr 15 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.12824.1
- new SVN snapshot (revision 12824)
- fixed path for install headers

* Mon Apr 14 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.12810.3
- fixed spec

* Mon Apr 14 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.12810.2
- added %name-svn-r12810-img_convert.patch

* Mon Apr 14 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.12810.1
- new SVN snapshot (revision 12810):
  + QT variant of IMA ADPCM encoder
  + Ipod/Iphone compatible mp4 muxer
  + Mimic decoder
  + MSN TCP Webcam stream demuxer
  + RL2 demuxer / decoder
  + IFF demuxer
  + 8SVX audio decoder
  + BFI demuxer
- updated: 
  + %name-svn-r12807-dirac-0.9.x.patch
  + %name-svn-r12807-xvmc-vld.patch
  + %name-svn-r12809-configure.patch
  + %name-svn-r12809-amr.patch

* Wed Feb 27 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.12257.1
- new SVN snapshot (revision 12257)
- updated %name-svn-r12255-dirac-configure.patch

* Tue Feb 19 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.12146.1
- new SVN snapshot (revision 12146)
- fixed %name-svn-r12146-dirac-0.9.x.patch

* Tue Feb 19 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.12143.1
- new SVN snapshot (revision 12143)

* Tue Feb 12 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.11914.1
- new SVN snapshot (revision 11914)

* Wed Feb 06 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.11872.1
- new SVN snapshot (revision 11872)
- updated %name-svn-r11872-dirac-0.9.x.patch

* Mon Jan 28 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.11643.1
- new SVN snapshot (revision 11643)

* Sun Jan 27 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.11627.1
- new SVN snapshot (revision 11627)
- updated:
  + %name-svn-r11627-dirac-0.9.x.patch
  + %name-svn-r11627-amr-configure.patch

* Thu Jan 24 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.11604.1
- new SVN snapshot (revision 11604):
  + AVM2 (Flash 9) SWF muxer
- updated %name-svn-r11604-dirac-0.9.x.patch

* Mon Jan 21 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.11584.1
- new SVN snapshot (revision 11584)
- updated %name-svn-r11584-configure.patch

* Fri Jan 11 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.11508.1
- new SVN snapshot (revision 11508)
- updated:
  + %name-svn-r11508-headers.patch
  + %name-svn-r11508-configure.patch

* Fri Jan 11 2008 Led <led@altlinux.ru> 1:0.5.0-alt0.11494.1
- new SVN snapshot (revision 11494):
  + PC Paintbrush PCX decoder
  + Sun Rasterfile decoder
  + TechnoTrend PVA demuxer
  + Linux Media Labs MPEG-4 (LMLM4) demuxer
- updated %name-svn-r11494-configure.patch

* Sat Dec 22 2007 Led <led@altlinux.ru> 1:0.5.0-alt0.11305.1
- new SVN snapshot (revision 11305)
- replaced %name-uni-svn-r10644.patch with
  %name-svn-r11054-xvmc-vld.patch
- updated:
  + %name-svn-r11191-configure.patch
  + %name-svn-r11126-dirac-configure.patch
  + %name-svn-r11263-headers.patch
  + %name-svn-r11263-dirac-0.8.x.patch

* Mon Nov 12 2007 Led <led@altlinux.ru> 1:0.5.0-alt0.11004.1
- new SVN snapshot (revision 11004)
- cleaned up spec

* Sun Nov 11 2007 Led <led@altlinux.ru> 1:0.5.0-alt0.11001.1
- new SVN snapshot (revision 11001)
- updated %name-svn-r11000-dirac-0.8.x.patch

* Sat Nov 10 2007 Led <led@altlinux.ru> 1:0.5.0-alt0.11000.1
- new SVN snapshot (revision 11000):
  + Nellymoser ASAO decoder
  + Beam Software SIFF demuxer and decoder
  + libvorbis Vorbis decoding removed in favor of native decoder
  + IntraX8 (J-Frame) sub-decoder for WMV2 and VC-1
  + OGG muxer
- updated:
  + %name-svn-r11000-dirac-configure.patch
  + %name-svn-r11000-configure.patch
  + %name-svn-r11000-headers.patch

* Fri Oct 12 2007 Led <led@altlinux.ru> 1:0.5.0-alt0.10712.1
- new SVN snapshot (revision 10712):
  + DNxHD encoder
  + H.264 PAFF decoding
- updated %name-svn-r10703-dirac-0.8.x.patch

* Wed Oct 03 2007 Led <led@altlinux.ru> 1:0.5.0-alt0.10650.1
- new SVN snapshot (revision 10650):
  + Matroska muxer
  + Slice-based parallel H.264 decoding
  + Monkey's Audio demuxer and decoder
  + AMV audio and video decoder
- updated:
  + %name-svn-r10644-alt-nobanner.patch
  + %name-svn-r10644-headers.patch
  + %name-svn-r10644-dirac-configure.patch
  + %name-uni-svn-r10644.patch
  + %name-svn-r10644-amr-configure.patch
  + %name-svn-r10644-configure.patch
  + %name-svn-r10644-amr.patch
  + %name-svn-r10636-dirac-0.8.x.patch
  + %name-svn-r10644-dirac-configure.patch
- removed %name-svn-r10644-dirac-configure.patch
- cleaned up spec

* Mon Aug 27 2007 Led <led@altlinux.ru> 1:0.5.0-alt0.10252.1
- new SVN snapshot (revision 10252)
- updated %name-svn-r10237-dirac-configure.patch
- updated %name-svn-r10237-dirac-0.7.x.patch
- cleaned up spec

* Fri Aug 17 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn10124.1
- new SVN snapshot (revision 10124):
  + AC-3 decoder
  + NUT muxer
- updated %name-svn-r10124-dirac-0.7.x.patch

* Sun Jul 22 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9778.1
- new SVN snapshot (revision 9778)
- removed %name-svn-r9492-raw.patch
- updated %name-svn-r9777-dirac-0.7.x.patch
- added %name-svn-r9777-dirac-configure.patch
- updated %name-svn-r9778-configure.patch
- updated %name-svn-r9777-amr.patch
- added %name-svn-r9777-amr-configure.patch

* Thu Jul 05 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9492.1
- new SVN snapshot (revision 9492):
  + QTRLE encoder
- added %name-svn-r9492-raw.patch

* Tue Jun 26 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9440.1
- new SVN snapshot (revision 9440)

* Tue Jun 26 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9430.1
- new SVN snapshot (revision 9430):
  + RoQ video encoder
- updated %name-uni-svn-r9389.patch
- updated %name-svn-r9402-headers.patch

* Wed Jun 20 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9376.1
- new SVN snapshot (revision 9376)
- updated %name-svn-r9376-amr.patch

* Tue Jun 19 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9363.1
- new SVN snapshot (revision 9363)
- updated %name-svn-r9361-dirac-0.7.x.patch
- updated %name-svn-r9361-amr.patch
- updated %name-svn-r9361-configure.patch

* Sat Jun 16 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9328.1
- new SVN snapshot (revision 9328)

* Wed Jun 13 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9298.1
- new SVN snapshot (revision 9298)
- updated %name-svn-r9283-dirac-0.7.x.patch
- updated %name-uni-svn-r9283.patch

* Mon Jun 11 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9278.1
- new SVN snapshot (revision 9278)
- enabled %name-uni-svn-r9235.patch again
- updated %name-svn-r9277-configure.patch
- updated %name-svn-r9277-dirac-0.7.x.patch
- updated %name-uni-svn-r9277.patch

* Fri Jun 08 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9255.1
- new SVN snapshot (revision 9255)
- fixed %name-uni-svn-r9235.patch
- fixed xvmc support
- disabled %name-uni-svn-r9235.patch

* Thu Jun 07 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9235.1
- new SVN snapshot (revision 9235)
- removed %name-svn-r9233-makefile.patch (fixed in upstream)

* Wed Jun 06 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9233.1
- new SVN snapshot (revision 9233)
- updated %name-svn-r9233-amr.patch
- updated %name-svn-r9233-dirac-0.7.x.patch
- fixed %%configure parameters
- added %name-svn-r9233-makefile.patch

* Sat Jun 02 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9172.1
- new SVN snapshot (revision 9172)
- updated %name-svn-r9168-headers.patch
- added dsputil.h to libavcodec-devel

* Tue May 29 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9152.1
- new SVN snapshot (revision 9152)

* Thu May 24 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9111.1
- new SVN snapshot (revision 9111):
  + sws_flags command line option

* Wed May 23 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9103.1
- new SVN snapshot (revision 9103)

* Mon May 21 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9081.1
- new SVN snapshot (revision 9081)

* Thu May 17 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9052.1
- new SVN snapshot (revision 9052)
- updated %name-svn-r9052-amr.patch
- cleaned up spec due removed libdca support in upstream

* Thu May 17 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9038.1
- new SVN snapshot (revision 9038)

* Mon May 14 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9022.1
- new SVN snapshot (revision 9022)

* Sat May 12 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn9000.1
- new SVN snapshot (revision 9000)
- removed %name-svn-r7881-swscale.patch

* Fri May 11 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8990.1
- new SVN snapshot (revision 8990):
  + RoQ muxer
- updated %name-uni-svn-r8990.patch

* Tue May 08 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8939.1
- new SVN snapshot (revision 8939):
  + RoQ audio encoder
  + Renderware TXD demuxer and decoder

* Mon May 07 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8920.1
- new SVN snapshot (revision 8920)
- updated %name-svn-r8920-amr.patch
- updated %name-svn-r8920-dirac-0.6.0.patch

* Sun May 06 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8905.1
- new SVN snapshot (revision 8905)

* Sat May 05 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8891.2
- updated %name-svn-r8891-amr.patch

* Sat May 05 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8891.1
- new SVN snapshot (revision 8889)
- updated %name-svn-r8889-dirac-0.6.0.patch

* Thu May 03 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8880.1
- new SVN snapshot (revision 8880):
  + V.Flash PTX decoder
- updated %name-svn-r8878-dirac-0.6.0.patch
- removed %name-svn-r8838-pic.patch (fixed in upstream)
- updated %name-svn-r8880-amr.patch
- updated %name-svn-r8880-configure.patch

* Thu Apr 26 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8838.1
- new SVN snapshot (revision 8838)
- updated %name-svn-r8838-pic.patch

* Thu Apr 26 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8820.1
- new SVN snapshot (revision 8820)
- updated %name-svn-r8819-amr.patch
- updated %name-svn-r8820-configure.patch
- removed %name-svn-r8449-amr_nb_fixed.patch

* Wed Apr 25 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8800.1
- new SVN snapshot (revision 8800)

* Mon Apr 23 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8793.1
- new SVN snapshot (revision 8793)
- updated %name-svn-r8792-amr.patch

* Thu Apr 19 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8757.1
- new SVN snapshot (revision 8757):
  + Atrac3 decoder
- updated %name-svn-r8743-amr.patch

* Wed Apr 18 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8743.2
- updated %name-svn-r8743-configure.patch for support a52bin/faadbin
- updated %name-svn-r8743-amr.patch for support dlopened
  libamrnb/libamrwb
- remade %name-svn-r8743-dirac-0.6.0.patch for compatibility to
  %name-svn-r8743-amr.patch
- disabled amr_nb/amr_wb
- enabled amr_nb_bin/amr_wb_bin

* Tue Apr 17 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8743.1
- new SVN snapshot (revision 8743)
- updated %name-svn-r8743-dirac-0.6.0.patch
- updated %name-svn-r8743-amr.patch
- used libamrnb and libamrwb for support AMR-NB and AMR-WB codecs
- cleaned up spec

* Tue Apr 10 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8701.1
- new SVN snapshot (revision 8701):
  + TIFF picture encoder
  + Gamecube movie (.THP) playback system
  + Blackfin optimizations
  + Interplay C93 demuxer and video decoder
  + Bethsoft VID demuxer and video decoder
  + CRYO APC demuxer
- added %name-svn-r8701-pic.patch

* Thu Mar 29 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8543.1
- new SVN snapshot (revision 8543)

* Wed Mar 21 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8449.2
- added %name-svn-r8449-amr_nb_fixed.patch
- disabled amr_nb
- enabled amr_nb_fixed

* Mon Mar 19 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8449.1
- new SVN snapshot (revision 8449):
  + DNxHD decoder
- updated %name-svn-r8449-headers.patch
- updated %name-svn-r8449-dirac-0.6.0.patch

* Thu Mar 15 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8408.1
- new SVN snapshot (revision 8408):
  + DXA demuxer and decoder

* Wed Mar 14 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8388.1
- new SVN snapshot (revision 8388)
- fixed libavcodec.pc

* Mon Mar 12 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8350.1
- new SVN snapshot (revision 8350)
- updated %name-svn-r8350-headers.patch
- cleaned up spec

* Mon Mar 12 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8335.1
- new SVN snapshot (revision 8335)
- updated AMR codecs
- updated %name-svn-r8335-dirac-0.6.0.patch
- updated %name-svn-r8335-amr.patch

* Wed Feb 28 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8149.1
- new SVN snapshot (revision 8149):
  + DCA decoder
- updated %name-svn-r8149-dirac-0.6.0.patch

* Fri Feb 23 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn8098.1
- new SVN snapshot (revision 8098):
  + GSM-MS encoder and decoder
- updated %name-svn-r8098-dirac-0.6.0.patch
- updated %name-svn-r8098-configure.patch

* Thu Feb 15 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7991.1
- new SVN snapshot (revision 7991)
- fixed libavcodec-devel Requires

* Thu Feb 15 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7987.1
- new SVN snapshot (revision 7987)
- updated %name-svn-r7987-configure.patch

* Wed Feb 14 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7980.1
- new SVN snapshot (revision 7980)
- updated %name-svn-r7980-configure.patch
- fixed configure parameters (due changes in upstream)

* Mon Feb 12 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7945.2
- fixed %%build

* Mon Feb 12 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7945.1
- new SVN snapshot (revision 7945)
- updated %name-svn-r7945-alt-nobanner.patch
- updated %name-svn-r7945-headers.patch
- updated %name-svn-r7945-configure.patch
- updated %name-svn-r7945-alt-include.patch
- disabled a52bin
- enabled a52
- fixed BuildRequires

* Mon Feb 12 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7881.2
- updated %name-svn-r7881-configure.patch
- updated %name-svn-r7881-swscale.patch

* Thu Feb 08 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7881.1
- new SVN snapshot (revision 7881):
  + WMA encoder
- fixed %%files -n libavutil-devel
- updated %name-svn-r7881-dirac-0.6.0.patch

* Tue Feb 06 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7850.1
- new SVN snapshot (revision 7850):
  + BMP encoder
- updated %name-svn-r7850-headers.patch

* Fri Feb 02 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7781.2
- updated %name-svn-r7781-dirac-0.6.0.patch
- rebuild with libdirac-0.6.0

* Wed Jan 31 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7781.1
- new SVN snapshot (revision 7781)

* Mon Jan 29 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7760.1
- new SVN snapshot (revision 7760)
- updated %name-svn-r7760-dirac-0.5.x.patch
- updated %name-svn-r7760-configure.patch

* Fri Jan 26 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7718.1
- new SVN snapshot (revision 7718)
- fixed Requires for lib*-devel packages
- fix *.pc files

* Thu Jan 25 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7711.1
- new SVN snapshot (revision 7711):
  + Theora encoding via libtheora
- updated %name-svn-r7711-configure.patch

* Wed Jan 24 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7690.1
- new SVN snapshot (revision 7690)
- added intreadwrite.h to libavutil-devel:
  updated %name-svn-r7690-headers.patch

* Wed Jan 24 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7650.1
- new SVN snapshot (revision 7650):
  + Flash Screen Video encoder
- updated %name-svn-r7650-dirac-0.5.x.patch
- updated ffmpeg-uni-svn-r7650.patch

* Wed Jan 24 2007 Led <led@altlinux.ru> 0.5.0-alt1.svn7549.1
- new SVN snapshot (revision 7549)
- updated %name-svn-r7549-configure.patch
- split to packages per libs
- removed Serial
- fixed %%file sections
- removed %name-20050313-deb-config.patch
- removed %name-svn-r7113-alt-config.patch

* Tue Jan 09 2007 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7430.1
- new SVN snapshot (revision 7430)
- updated %name-svn-r7430-dirac-0.5.x.patch
- updated %name-svn-r7430-configure.patch
- updated %name-svn-r7430-headers.patch

* Fri Dec 29 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7382.1
- new SVN snapshot (revision 7382)

* Mon Dec 25 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7375.1
- new SVN snapshot (revision 7375):
  + Musepack decoder
- enabled x11grab
- updated %name-svn-r7375-configure.patch

* Thu Dec 14 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7317.1
- new SVN snapshot (revision 7317)

* Fri Dec 08 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7260.1
- new SVN snapshot (revision 7260)

* Wed Dec 06 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7236.1
- new SVN snapshot (revision 7236)

* Wed Dec 06 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7233.1
- new SVN snapshot (revision 7233)

* Tue Dec 05 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7225.1
- new SVN snapshot (revision 7225)

* Mon Dec 04 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7221.1
- new SVN snapshot (revision 7221)
- fixed %lname-devel's Requires
- fixed %%changelog

* Fri Dec 01 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7199.1
- new SVN snapshot (revision 7199)

* Thu Nov 30 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7188.1
- new SVN snapshot (revision 7188)
- added %name-svn-r7188-headers.patch

* Wed Nov 29 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7184.1
- new SVN snapshot (revision 7184)
- updated %name-svn-r7178-dirac-0.5.x.patch
- updated %name-uni-svn-r7184.patch
- fixed %lname-devel's Requires

* Tue Nov 21 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7145.1
- new SVN snapshot (revision 7145)
- updated %name-svn-r7145-dirac-0.5.x.patch

* Mon Nov 20 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7131.1
- new SVN snapshot (revision 7131)

* Fri Nov 17 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7114.1
- new SVN snapshot (revision 7114)
- updated %name-svn-r7113-alt-config.patch
- updated %name-svn-r7113-dirac-0.5.x.patch
- updated %name-svn-r7113-configure.patch
- fixed configure parameters
- fixed %%install

* Mon Nov 13 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn7012.1
- new SVN snapshot (revision 7012):
  + added NUT demuxer
- enabled libnut
- updated %name-uni-svn-r7005.patch
- updated %name-svn-r7005-configure.patch

* Fri Nov 10 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6962.1
- new SVN snapshot (revision 6962)
- updated %name-svn-r6962-swscale.patch (some fixes in upstrem)
- updated %name-svn-r6962-dirac-0.5.x.patch
- updated %name-svn-r6962-configure-0.5.x.patch

* Wed Nov 08 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6941.1
- new SVN snapshot (revision 6941)
- updated %name-svn-r6941-dirac-0.5.x.patch
- updated %name-svn-r6941-configure.patch
- updated %name-svn-r6941-swscale.patch
- fixed spec

* Wed Nov 08 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6844.2
- disabled memalign-hack

* Tue Oct 31 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6844.1
- new SVN snapshot (revision 6844):
  + Intel Music decoder

* Mon Oct 30 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6835.1
- new SVN snapshot (revision 6835)
- cleaned up spec

* Mon Oct 23 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6769.1
- new SVN snapshot (revision 6769):
  + GIF picture decoder
- updated %name-svn-r6769-configure.patch
- updated %name-svn-r6769-dirac-0.5.x.patch
- enabled mmx for x86_64
- fixed %%optflags
- fixed 'UNKNOWN' in version

* Thu Oct 19 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6731.1
- new SVN snapshot (revision 6731)
- updated %name-svn-r6731-configure.patch

* Wed Oct 18 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6723.1
- new SVN snapshot (revision 6723)
- updated %name-svn-r6723-configure.patch
- fixed configure parameters (chenges in upstream)

* Tue Oct 17 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6713.1
- new SVN snapshot (revision 6713):
  + TIFF picture decoder
- updated %name-svn-r6713-swscale.patch
- fixed BuildRequires release for libx264-devel

* Fri Oct 13 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6678.1
- new SVN snapshot (revision 6678):
  + Targa (.TGA) picture decoder
  + Delphine Software .cin demuxer/audio and video decoder
  + Tiertex .seq demuxer/video decoder
  + MTV demuxer
- updated %name-svn-r6678-configure.patch

* Mon Oct 09 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6590.1
- new SVN snapshot (revision 6590)

* Wed Oct 04 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6545.1
- new SVN snapshot (revision 6545):
  + Vorbis audio encoder
- updated %name-svn-r6545-alt-config.patch

* Mon Oct 02 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6411.1
- new SVN snapshot (revision 6411):
  + WavPack lossless audio decoder
- updated %name-svn-r6411-alt-nobanner.patch

* Tue Sep 26 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6331.1
- new SVN snapshot (revision 6331)

* Wed Sep 20 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6290.1
- new SVN snapshot (revision 6290)
- cleaned up %name-svn-r6290-swscale.patch (fixed in upstream)
- cleaned up %name-svn-r6290-dirac-0.5.x.patch

* Mon Sep 18 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6252.2
- fixed and updated %name-svn-r6252-dirac-0.5.x.patch for add Dirac
  libs to libavcodec.pc
- cleaned up %name-svn-r6252-configure.patch
- fixed BuildRequires
- fixed Provides

* Fri Sep 15 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6252.1
- new SVN snapshot (revision 6252)
- updated ffmpeg-svn-r6252-configure.patch
- fixed %%changelog

* Thu Sep 14 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6245.1
- new SVN snapshot (revision 6245)

* Mon Sep 11 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6226.1
- new SVN snapshot (revision 6226):
  + VP5 video decoder
  + VP6 video decoder

* Mon Sep 11 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6191.2
- fixed and updated ffmpeg-svn-r6191-swscale.patch

* Fri Sep 08 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6191.1
- new SVN snapshot (revision 6191)
- fixed %%changelog

* Thu Sep 07 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6181.1
- new SVN snapshot (revision 6181):
  + VMware video decoder
- updated %name-svn-r6181-dirac-0.5.x.patch

* Tue Sep 05 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6169.2
- fixed and updated ffmpeg-svn-r6169-swscale.patch

* Tue Sep 05 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6169.1
- new SVN snapshot (revision 6169)

* Wed Aug 30 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6125.1
- new SVN snapshot (revision 6125)
- updated ffmpeg-svn-r6125-configure.patch

* Mon Aug 28 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6110.1
- new SVN snapshot (revision 6110)
- updated %name-svn-r6110-alt-config.patch
- updated %name-uni-svn-r6110.patch
- updated %name-svn-r6110-dirac-0.5.x.patch
- updated %name-svn-r6110-configure.patch
- fixed %%changelog

* Sat Aug 19 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6022.1
- new SVN snapshot (revision 6022)
- cleaned up spec
- enabled network
- updated %%configure parameters
- updated ffmpeg-svn-r6017-configure.patch
- updated ffmpeg-svn-r6017-swscale.patch

* Thu Aug 17 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn6005.1
- new SVN snapshot (revision 6005)

* Mon Aug 14 2006 Led <led@altlinux.ru> 1:0.5.0-alt1.svn5996.1
- new SVN snapshot (revision 5996):
  + GXF muxer
  + MXF demuxer
  + VC-1/WMV3/WMV9 video decoder
- new release numbering (therewith SVN revision)
- updated ffmpeg-svn-r5995-dirac-0.5.x.patch
- updated ffmpeg-svn-r5995-configure.patch
- removed theora from %%configure parameters (upstream)
- added ffmpeg-svn-r5996-swscale.patch
- enabled swscaler (added in upstream)
- fixed spec
- fixed BuildRequires
- disabled rpath

* Thu Jul 20 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060720.1
- new SVN snapshot (revision 5792):
  added gxf muxer/demuxer
- cleaned up spec
- added bswap.h to %lname-devel

* Mon Jul 17 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060717.1
- new SVN snapshot (revision 5771)
- fixed spec (configure parameters and %%install section)

* Fri Jul 14 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060714.1
- new SVN snapshot (revision 5728)

* Thu Jul 13 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060713.1
- new SVN snapshot (revision 5725)
- updated ffmpeg-svn-20060713-dirac-0.5.x.patch
- updated %name-svn-20060713-amr.patch
- updated ffmpeg-svn-20060713-configure.patch

* Tue Jul 11 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060711.1
- new svn snapshot (revision 5706)

* Tue Jul 11 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060710.2
- added ffmpeg-uni-20060710.patch
- enabled xvmc

* Mon Jul 10 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060710.1
- new svn snapshot (revision 5695)
- updated %name-svn-20060710-configure.patch
- removed enebling lzo (upstream)

* Fri Jul 07 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060707.1
- new svn snapshot (revision 5648)

* Wed Jul 05 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060705.1
- new svn snapshot (revision 5615)
- fixed spec

* Tue Jul 04 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060704.1
- new svn snapshot (revision 5603)

* Mon Jul 03 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060703.1
- new svn snapshot (revision 5587)

* Fri Jun 30 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060630.1
- new svn snapshot (revision 5547)
- added %name-svn-20060630-dirac-0.5.x.patch for support dirac codec
  (adapted %name-0.4.9-pre1-dirac-0.5.x.patch.tgz)
- enabled dirac
- updated %name-svn-20060630-configure.patch
- fixed %%changelog

* Thu Jun 29 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060629.1
- new svn snapshot (revision 5539)

* Mon Jun 26 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060626.1
- new svn snapshot (revision 5526)

* Thu Jun 22 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060622.1
- new svn snapshot (revision 5508)

* Wed Jun 21 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060621.1
- new svn snapshot (revision 5505)
- updated %name-20060621-alt-config.patch

* Tue Jun 20 2006 Led <led@altlinux.ru> 1:0.5.0-alt0.20060620.1
- new svn snapshot (revision 5498)
- updated %name-cvs-20060620-configure.patch
- fixed checking libfaad

* Wed Jun 14 2006 Led <led@altlinux.ru> 0.5.0-alt0.20060614.1
- new svn snapshot (revision 5472)

* Tue Jun 13 2006 Led <led@altlinux.ru> 0.5.0-alt0.20060613.1
- new svn snapshot (revision 5468)

* Wed Jun 07 2006 Led <led@altlinux.ru> 0.5.0-alt0.20060607.1
- new svn snapshot (revision 5457)
- fixed spec
- cleaned up spec

* Thu May 25 2006 Led <led@altlinux.ru> 0.5.0-alt0.20060519.1
- new CVS snapshot
- removed %name-cvs-20060516-Makefile.patch (#9) - fixed in upstream
- updated %name-20060519-alt-config.patch
- fixed %%configure parameters

* Thu May 25 2006 Led <led@altlinux.ru> 0.5.0-alt0.20060516.3
- disabled a52
- enabled a52bin

* Wed May 24 2006 Led <led@altlinux.ru> 0.5.0-alt0.20060516.2
- added CFLAGS for runtime CPU detection in libpostproc
- fixed %name-cvs-20060516-configure.patch

* Tue May 23 2006 Led <led@altlinux.ru> 0.5.0-alt0.20060516.1
- meny changes in spec
- added %name-cvs-20060516-configure.patch
- added %name-cvs-20060516-Makefile.patch
- added %name-cvs-20060516-amr.patch
- added AMR support
- added packages: %name-vhook, %lname-devel-static, ffplay, ffserver

* Thu May 11 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.4.9.cvs20060511-alt1
- current CVS version.
- added build fixing patch #7 (by lioka@, frankly :).
- enabled dts.

* Mon Apr 10 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.4.9.cvs20060410-alt3
- current CVS version.

* Sat Feb 25 2006 Pavlov Konstantin <thresh@altlinux.ru> 0.4.9.cvs20060225-alt3
- enabling x264, faac, faad, mp3lame and a52.
- current CVS version.
- updated patches: nobanner, alt-config.
- removed alt-soname patch.
- added includedir install patch. (#6).
- removed 'enable-shared-pp' from configure (doesn't exist in upstream anymore).

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.9.cvs20051105-alt1.1
- Rebuilt for new pkg-config dependencies.

* Sun Nov 20 2005 Kachalov Anton <mouse@altlinux.ru> 0.4.9.cvs20051105-alt1
- update to 20051105 CVS
- provide soname for each library to proper package provides

* Wed Nov 02 2005 Grigory Batalov <bga@altlinux.ru> 0.4.9-alt3cvs20050406
- quote percent symbol in "10%% faster" comment
- relax textrel check

* Wed Apr 13 2005 Grigory Batalov <bga@altlinux.ru> 0.4.9-alt2cvs20050406
- ffmpeg-config shows build time options (instead of predefined)
- libpostproc is built as shared library
- specfile cleanup

* Thu Apr 07 2005 Grigory Batalov <bga@altlinux.ru> 0.4.9-alt1cvs20050406
- new cvs snapshot for DVD VOBU sectors support
- legal issues, arch improvements and ffmpeg-config from Debian

* Wed Dec 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.9-alt0.5cvs20041113
- new cvs snapshot to build vlc-0.8.1

* Mon May 31 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt6cvs20040520
- new cvs snapshot to build vlc-0.7.2

* Thu Apr 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt5cvs20040222
- new cvs snapshot to build vlc-0.7.1

* Thu Jan 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt4cvs20040103
- install postprocess.h while MPlayer doesn't provides libposproc.
- fix build with faad.

* Mon Jan 05 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt3cvs20040103
- new cvs snapshot to build vlc-0.7.

* Fri Nov 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt2
- build with faad support.
- fixed imlib2 detection.
- fixed TEXTREL bug.

* Thu Oct 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.8-alt1
- 0.4.8

* Fri Jul 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt1cvs20030622
- cvs snapshot to build vlc-0.6.
- summary, descriptions by avp.

* Mon Mar 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt1cvs20030304
- cvs snapshot to build vlc.

* Sat Dec 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt1
- official release.

* Thu Dec 12 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.4cvs20021212
- current cvs snapshot.

* Fri Nov 01 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.3cvs20021101
- current cvs snapshot.

* Sun Jul 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.2cvs20020721
- current cvs snapshot (libname changed to libavcodec).
- ffserver.conf from documentation added in filelist as a config.

* Sat May 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.6-alt0.1cvs20020525
- First build for Sisyphus.
